Bug 198170 - Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols might be resolved by those. But this needs to be checked in any case. amanda-client-2.5.0p2-2 linux-gate.so.1 => (0xffffe000) libm.so.6 => /lib/libm.so...
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved sym...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 08:49 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 08:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 08:49:29 EDT
ldd -r reports undefined symbols
Comment 1 Karsten Hopp 2008-08-02 16:16:37 EDT
The original summary for this bug was longer than 255 characters, and so it was truncated when Bugzilla was upgraded. The original summary was:

Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols might be resolved by those. But this needs to be checked in any case.   amanda-client-2.5.0p2-2         linux-gate.so.1 =>  (0xffffe000)         libm.so.6 => /lib/libm.so.6 (0xf7fac000)         libtermcap.so.2 => /lib/libtermcap.so.2 (0xf7fa8000)         libnsl.so.1 => /lib/libnsl.so.1 (0xf7f92000)         libresolv.so.2 => /lib/libresolv.so.2 (0xf7f7f000)         libc.so.6 => /lib/libc.so.6 (0xf7e4b000)         /lib/ld-linux.so.2 (0x56555000) undefined symbol: debug (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: sanitise_filename     (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: construct_timestamp   (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: amflock       (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: get_pname     (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: glob_to_regex (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: amfunlock     (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: debug_newvstralloc    (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: debug_alloc_push      (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: debug_stralloc        (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: am_has_feature        (/usr/lib/libamclient-2.5.0p2.so) undefined symbol: append_sl     (/usr/lib/libamclient-2.5.0p2.so)

Note You need to log in before you can comment on or make changes to this bug.